package com.yizhi.message.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageParameterVo", description = "可选参数对象")

public class MessageParameterVo {



    private Long id;

    @ApiModelProperty(value = "可变参数名称")
    private String name;

    @ApiModelProperty(value = "消息类型：比如： 1、自定义消息 2、系统消息 3、事件触发消息")
    private Integer messageType;

    @ApiModelProperty(value = "可变参数类型 ：1、用户姓名；2、课程名称；3、项目时间；4、项目名称；5、报名截止时间；更多请看数据库")
    private Integer fieldType;

    @ApiModelProperty(value = "关联模块对应的字段")
    private String relationField;

    @ApiModelProperty(value = "关联模块类型(0：自定义消息、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")
    private Integer relationType;

}
