package com.yizhi.message.application.enums;

public enum MessageParameterEnums {

	accountName(1,"【accountName】"),
	courseName(2,"【courseName】"),
	projectTime(3,"【projectTime】"),
	projectName(4,"【projectName】"),
	enrollEndTime(5,"【enrollEndTime】"),
	assignmentName(6,"【assignmentName】"),
	assignmentTime(7,"【assignmentTime】"),
	assignmentScore(8,"【assignmentScore】"),
	examName(9,"【examName】"),
	examTime(10,"【examTime】"),
	examScore(11,"【examScore】"),
	changeReason(12,"【changeReason】"),
	changePoint(13,"【changePoint】"),
	changeTime(14,"【changeTime】"),
	researchTime(15,"【researchTime】"),
	researchName(16,"【researchName】"),
	liveTime(17,"【liveTime】");



	private Integer code;
	private String name;

	MessageParameterEnums(Integer code, String name) {
		this.code = code;
		this.name = name;
	}

	public Integer getCode() {
		return code;
	}

	public String getName() {
		return name;
	}
	
}
