package com.yizhi.message.application.enums;

public enum TimeType {
	
	ONTIME(0,"时间发生时"),
	FMIN(1,"5分钟前"),
	TMIN(2,"10分钟前"),
	THMIN(3,"30分钟前"),
	OHOUR(4,"1小时前"),
	THOUR(5,"2小时前"),
	ODAY(6,"1天前"),
	TDAY(7,"2天前");
	
	
	private Integer code;
	private String name;
	
	TimeType(Integer code, String name) {
		this.code = code;
		this.name = name;
	}

	public Integer getCode() {
		return code;
	}

	public String getName() {
		return name;
	}
	
}
