package com.yizhi.message.application.feign.remote;


import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@FeignClient(name = "newMessage", contextId = "RemoteJobHandleClient")
public interface RemoteJobHandleClient {

    /**
     * 定时任务业务逻辑处理
     *
     * @param
     * @return
     */
    @GetMapping("/remote/messageRemind/messageHandle")
    public void sendMessageHandle();

}

